#
# Conditional build:
%bcond_with	kde		# KDE3 UI as the default one
%bcond_without	gtk		# use GTK+2 UI instead
%bcond_with	gnome		# use libgnome2 UI instead
%bcond_with	glut		# use glut UI instead
%bcond_without	theora		# without theora support

%if %{with kde} || %{with gnome} || %{with glut}
%undefine	with_gtk
%endif
Summary:	A real-time visual space simulation
Summary(pl.UTF-8):	Symulacja przestrzeni kosmicznej w czasie rzeczywistym
Name:		celestia
Version:	1.6.4
Release:	1
License:	GPL
Group:		X11/Applications/Science
Source0:	https://github.com/CelestiaProject/Celestia/archive/refs/tags/%{version}.tar.gz
# Source0-md5:	d4770ffe08cb8761a78bebabcb9067ef
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-null.patch
URL:		https://celestia.space
BuildRequires:	OpenGL-GLU-devel
%{?with_glut:BuildRequires:	OpenGL-glut-devel >= 4.0}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-tools
%if %{with gtk} || %{with gnome}
BuildRequires:	cairo-devel
BuildRequires:	gtk+2-devel >= 2:2.6
BuildRequires:	gtkglext-devel
%endif
BuildRequires:	gettext-tools
%{?with_kde:BuildRequires:	kdelibs-devel}
%{?with_gnome:BuildRequires:	libgnomeui-devel}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
%{?with_theora:BuildRequires:	libtheora-devel}
BuildRequires:	libtool
BuildRequires:	lua53-devel
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
# celestia < 1.4 original packages
Obsoletes:	celestia-extrasolar
Obsoletes:	celestia-generator
Obsoletes:	celestia-stars
Obsoletes:	celestia-task-default
# texture replacement addons, virtual provides
Obsoletes:	celestia-textures-earth
Obsoletes:	celestia-textures-earth-clouds
Obsoletes:	celestia-textures-earth-night
Obsoletes:	celestia-textures-galileanmoons
Obsoletes:	celestia-textures-mars
Obsoletes:	celestia-textures-mars-bumpmap
Obsoletes:	celestia-textures-mercury
Obsoletes:	celestia-textures-mercury-bumpmap
Obsoletes:	celestia-textures-moon
Obsoletes:	celestia-textures-moon-bumpmap
# celestia addons
Obsoletes:	celestia-blackhole
Obsoletes:	celestia-galaxies_extended
Obsoletes:	celestia-galaxy_clusters
Obsoletes:	celestia-globular_clusters
Obsoletes:	celestia-im-starwars
Obsoletes:	celestia-pathfinder
Obsoletes:	celestia-voyager
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Celestia is a free real-time space simulation that lets you experience
our universe in three dimensions. Unlike most planetarium software,
Celestia doesn't confine you to the surface of the Earth. You can
travel throughout the solar system, to any of over 100,000 stars, or
even beyond the galaxy. All travel in Celestia is seamless; the
exponential zoom feature lets you explore space across a huge range of
scales, from galaxy clusters down to spacecraft only a few meters
across. A 'point-and-goto' interface makes it simple to navigate
through the universe to the object you want to visit.

%description -l pl.UTF-8
Celestia to wolny symulator przestrzeni komicznej w czasie
rzeczywistym, który pozwala doświadczać naszego Wszechświata w trzech
wymiarach. W odróżnieniu od innych programów planetarnych Celestia nie
przywiązuje Cię do powierzchni ziemi. Możesz podróżować przez Układ
Słoneczny do ponad 100,000 gwiazd lub nawet poza galaktykę. Wszystkie
podróże w Celestii są niezauważalne; funkcja wykładniczego
przybliżenia pozwala Ci odkrywać Kosmos w różnych skalach - od
spojrzenia na galaktyki do widoku kilkumetrowych statków kosmicznych.
Interfejs typu 'pokaż-i-leć' czyni nawigację przez Wszechświat prostą.

%prep
%setup -q -n Celestia-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__gettextize}
cp -a po/Makefile* po2/
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	CFLAGS="%{rpmcflags} $(pkg-config --cflags libpng)" \
	LIBS="-ldl" \
	%{?with_kde:--with-kde} \
	%{?with_gtk:--with-gtk} \
	%{?with_gnome:--with-gnome} \
	%{?with_glut:--with-glut} \
	--disable-rpath \
	%{!?with_theora:--disable-theora} \
	--with-lua \
	--with-qt-dir=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir} \
	appsdir=%{_desktopdir}/kde

# desktop/icon
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}
%{!?with_kde:install src/celestia/kde/data/celestia.desktop $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop}
cp -p src/celestia/kde/data/hi48-app-celestia.png $RPM_BUILD_ROOT%{_pixmapsdir}/celestia.png

%find_lang %{name} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with gnome}
%post
%gconf_schema_install celestia.schemas

%preun
%gconf_schema_uninstall celestia.schemas
%endif

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README AUTHORS controls.txt ChangeLog
%attr(755,root,root) %{_bindir}/*
%{_datadir}/celestia
%{_pixmapsdir}/*
%if %{with kde}
%{_datadir}/apps/celestia
%{_datadir}/config/*
%{_datadir}/mimelnk/application/*
%{_datadir}/services/*
%{_iconsdir}/*/*/apps/%{name}.png
%{_desktopdir}/kde/*.desktop
%else
%{_desktopdir}/*.desktop
%endif
%{?with_gnome:%{_sysconfdir}/gconf/schemas/celestia.schemas}
%changelog
* Tue Nov 28 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/celestia.git;a=log;h=master

* Tue Nov 28 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 01ea428
- up to 1.6.4

* Sat Jun 17 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7acd382
- up to 1.6.3

* Tue Aug 17 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> e6b2369
- up to 1.6.2

* Mon Jul 13 2015 Elan Ruusamäe <glen@delfi.ee> d7a2de4
- generic url (jajcus, next time do adapter instead); adapter

* Sat Jul 11 2015 Jacek Konieczny <jajcus@jajcus.net> 7095bdc
- Working download URL

* Fri Jul 10 2015 Jacek Konieczny <jajcus@jajcus.net> e11c2ee
- Version: 1.6.1

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 324ee6d
- updated gettext BR

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 111dd72
- drop obsolete files

* Tue Sep 02 2008 Jakub Bogusz <qboosh@pld-linux.org> 8c5fc0b
- bcond header, gtk+2 epoch, cleanup

* Tue Sep 02 2008 Kacper Kornet <draenog@pld-linux.org> 009c7ae
- use lua51 not lua50

* Tue Sep 02 2008 Kacper Kornet <draenog@pld-linux.org> f430c03
- fix name of lua51 pkg-config file

* Tue Sep 02 2008 Kacper Kornet <draenog@pld-linux.org> 115a833
- BR: gettext-devel moved out of bcond

* Tue Sep 02 2008 Kacper Kornet <draenog@pld-linux.org> 8c4027d
- remove unrecognized option of configure

* Tue Sep 02 2008 Kacper Kornet <draenog@pld-linux.org> 275eebf
- linking with theora is now predictable

* Tue Sep 02 2008 Kacper Kornet <draenog@pld-linux.org> b586878
- fix compilation with theora

* Tue Sep 02 2008 Kacper Kornet <draenog@pld-linux.org> 72a82a1
- correct BR for OpenGL

* Tue Sep 02 2008 Kacper Kornet <draenog@pld-linux.org> 933259d
- missing BR: gettext-devel

* Mon Sep 01 2008 Kacper Kornet <draenog@pld-linux.org> 7277547
- correct version of required GLUT API
- adapterized
- rel. 1

* Fri Aug 29 2008 Jakub Bogusz <qboosh@pld-linux.org> 9274c2b
- outdated

* Fri Aug 29 2008 Kacper Kornet <draenog@pld-linux.org> 52c7f06
- include celestia_constellations.mo files

